### Function

# Gsk Transform parse

#### Declaration [src]

    gboolean
    gsk_transform_parse (
      const char* string,
      GskTransform** out_transform
    )

#### Description [src]

Parses a given into a transform.

Strings printed via `gsk_transform_to_string()` can be read in again successfully using this function.

If `string` does not describe a valid transform, false is returned and `NULL` is put in `out_transform`.

#### Parameters

`string`

  Type: `const char*`

  The string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_transform`

  Type: `GskTransform`

  Return location for the transform.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

True if `string` described a valid transform.